@import url('https://fonts.googleapis.com/css?family=Questrial');



html,
body {
    margin: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    background-color: #FFFFFF;
    font-family: 'Questrial', sans-serif;
}

.logo {
    position: absolute;
    bottom: 60px;
    left: 60px;
    width: 25%;
}

.logo img {
    width: 100%;
    height: auto;
}

.overview {
    display: block;
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    background-color: #232323;
    text-align: center;
}


#Layer_overview polygon {

    stroke: #379137;
    fill: rgba(0, 0, 0, .1);
    stroke-width: 1;
    stroke-linecap: butt;
    opacity: 0;
    -webkit-transition: opacity 0.2s ease-out;
    -moz-transition: opacity 0.2s ease-out;
    -o-transition: opacity 0.2s ease-out;
    transition: opacity 0.2s ease-out;
    cursor: pointer;

}

.active,
#Layer_overview polygon:hover {

    opacity: 1;

}


#Layer_overview g.room-text {

    opacity: 0;
    -webkit-transition: opacity 0.2s ease-out;
    -moz-transition: opacity 0.2s ease-out;
    -o-transition: opacity 0.2s ease-out;
    transition: opacity 0.2s ease-out;

}

.cover.off {
    filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=0);
    opacity: 0;
    -moz-transition: 5000ms;
    -o-transition: 5000ms;
    -webkit-transition: 5000ms;
    transition: 5000ms;
}

.cover {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #e2e2e2;
    z-index: 5;
    filter: progid:DXImageTransform.Microsoft.Alpha(enabled=false);
    opacity: 1;
}

.progress {
    position: absolute;
    top: 50%;
    left: 50%;
    padding: 0;
    margin: 0;
    font-size: 25px;
    font-size: 6vmin;
    color: #8e8e8e;
    -moz-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

.ring {
    position: absolute;
    top: 50%;
    left: 50%;
    border: 1px solid rgba(255, 255, 255, 0.8);
    width: 20vmin;
    height: 20vmin;
    -moz-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    -moz-border-radius: 50%;
    -webkit-border-radius: 50%;
    border-radius: 50%;
}

.ring:nth-child(1) {
    -moz-animation: ripple 5000ms linear 1000ms infinite;
    -webkit-animation: ripple 5000ms linear 1000ms infinite;
}

.ring:nth-child(2) {
    -moz-animation: ripple 5000ms linear 2000ms infinite;
    -webkit-animation: ripple 5000ms linear 2000ms infinite;
}

.ring:nth-child(3) {
    -moz-animation: ripple 5000ms linear 3000ms infinite;
    -webkit-animation: ripple 5000ms linear 3000ms infinite;
}

.ring:nth-child(4) {
    -moz-animation: ripple 5000ms linear 4000ms infinite;
    -webkit-animation: ripple 5000ms linear 4000ms infinite;
}

.ring:nth-child(5) {
    -moz-animation: ripple 5000ms linear 5000ms infinite;
    -webkit-animation: ripple 5000ms linear 5000ms infinite;
}

@-moz-keyframes ripple {
    0% {
        width: 20vmin;
        height: 20vmin;
        border-color: rgba(255, 255, 255, 0);
    }

    20% {
        width: 20vmin;
        height: 20vmin;
        border-color: rgba(255, 255, 255, 0.8);
    }

    40% {
        width: 30vmin;
        height: 30vmin;
        border-color: rgba(255, 255, 255, 0.6);
    }

    60% {
        width: 40vmin;
        height: 40vmin;
        border-color: rgba(255, 255, 255, 0.4);
    }

    80% {
        width: 50vmin;
        height: 50vmin;
        border-color: rgba(255, 255, 255, 0.2);
    }

    100% {
        width: 60vmin;
        height: 60vmin;
        border-color: rgba(255, 255, 255, 0);
    }
}

@-webkit-keyframes ripple {
    0% {
        width: 20vmin;
        height: 20vmin;
        border-color: rgba(255, 255, 255, 0);
    }

    20% {
        width: 20vmin;
        height: 20vmin;
        border-color: rgba(255, 255, 255, 0.8);
    }

    40% {
        width: 30vmin;
        height: 30vmin;
        border-color: rgba(255, 255, 255, 0.6);
    }

    60% {
        width: 40vmin;
        height: 40vmin;
        border-color: rgba(255, 255, 255, 0.4);
    }

    80% {
        width: 50vmin;
        height: 50vmin;
        border-color: rgba(255, 255, 255, 0.2);
    }

    100% {
        width: 60vmin;
        height: 60vmin;
        border-color: rgba(255, 255, 255, 0);
    }
}

#overview-plan .menu-bar,
#menu-bar {
    position: fixed;
    /* width: 100%; */
    height: 50px;
    bottom: 0px;
    background: rgba(45, 45, 45, 0.55);
    border: 0px;
    user-select: none;
    z-index: 1;
    display: block;
    opacity: 0;
    max-height: 50px;
    overflow: hidden;
    -moz-transition: max-height 0.4s ease 0s;
    -o-transition: max-height 0.4s ease 0s;
    -webkit-transition: max-height 0.4s ease 0s;
    transition: max-height 0.4s ease 0s;
}

#menu-bar ul.menu {
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
    background-color: transparent;
    float: left;
    border-left: 3px #379137 solid;
}

#menu-bar ul.menu li {
    float: left;
}

#menu-bar ul.menu li a {
    display: block;
    color: white;
    text-align: center;
    padding: 16px 16px;
    text-decoration: none;
}

#menu-bar ul.menu li a:hover:not(.active) {
    /*background-color: #111;*/
    text-shadow: 1px 1px 8px rgba(255, 255, 255, 1);
}

#menu-bar ul.menu li a.menu-active {
    background-color: rgba(0, 0, 0, 0.29);
}

#overview-plan {
    background-color: #e1e1e1;

}

#overview-plan div.menu-bar {
    opacity: 1;
    background: rgba(0, 0, 0, 0.2);
}

#overview-plan div.menu-bar ul.menu {
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
    background: transparent;
    float: left;
    border-left: 3px #379137 solid;

}

#overview-plan div.menu-bar ul.menu li {
    float: left;
}

#overview-plan div.menu-bar ul.menu li a {
    display: block;
    color: white;
    text-align: center;
    padding: 16px 16px;
    text-decoration: none;
}

#overview-plan div.menu-bar ul.menu li a:hover:not(.active) {
    /*background-color: #111;*/
    text-shadow: 1px 1px 8px rgba(255, 255, 255, 1);
}

#overview-plan div.menu-bar ul.menu li a.menu-active {
    background-color: rgba(66, 66, 66, 0.36);
}



#overview-plan .plan {
    position: relative;
}

#overview-plan .img-plan {
    position: absolute;
    width: 70%;
    height: auto;
    left: 50%;
    margin-left: -33%;
}

#overview-plan .img-plan img {

    width: 100%;
    height: auto;

}


.poi-area {
    position: relative;
}

.poi {
    position: absolute;
    background: url(/assets/projects/bjorvika/image/location-green.png) no-repeat;
    background-size: 99%;
    width: 4%;
    height: 6%;
    opacity: 0.8;
    cursor: pointer;
}

.poi-1 {
    top: 25%;
    left: 60%;
}

.poi-2 {
    top: 53%;
    left: 64%;
}

.poi-3 {
    top: 36%;
    left: 52%;
}

.poi-4 {
    top: 53%;
    left: 47%;
}

.poi-5 {
    top: 36%;
    left: 38%;
}

.poi-6 {
    top: 52%;
    left: 37%;
}

.poi-7 {
    top: 23%;
    left: 38%;
}

.poi-8 {
    top: 36%;
    left: 26%;
}

.poi-9 {
    top: 53%;
    left: 19%;
}

.poi-10 {
    top: 21%;
    left: 27%;
}

.poi-11 {
    top: 28%;
    left: 16%;
}

.wobble {
    display: inline-block;
    -webkit-transform: translateZ(0);
    -ms-transform: translateZ(0);
    transform: translateZ(0);
    box-shadow: 0 0 1px rgba(0, 0, 0, 0);
}

.wobble:hover {
    -webkit-animation-name: wobble;
    animation-name: wobble;
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-timing-function: ease-in-out;
    animation-timing-function: ease-in-out;
    -webkit-animation-iteration-count: 1;
    animation-iteration-count: 1;
}


@-webkit-keyframes wobble {
    16.65% {
        -webkit-transform: translateY(8px);
        transform: translateY(8px);
    }

    33.3% {
        -webkit-transform: translateY(-6px);
        transform: translateY(-6px);
    }

    49.95% {
        -webkit-transform: translateY(4px);
        transform: translateY(4px);
    }

    66.6% {
        -webkit-transform: translateY(-2px);
        transform: translateY(-2px);
    }

    83.25% {
        -webkit-transform: translateY(1px);
        transform: translateY(1px);
    }

    100% {
        -webkit-transform: translateY(0);
        transform: translateY(0);
    }
}

@keyframes wobble {
    16.65% {
        -webkit-transform: translateY(8px);
        -ms-transform: translateY(8px);
        transform: translateY(8px);
    }

    33.3% {
        -webkit-transform: translateY(-6px);
        -ms-transform: translateY(-6px);
        transform: translateY(-6px);
    }

    49.95% {
        -webkit-transform: translateY(4px);
        -ms-transform: translateY(4px);
        transform: translateY(4px);
    }

    66.6% {
        -webkit-transform: translateY(-2px);
        -ms-transform: translateY(-2px);
        transform: translateY(-2px);
    }

    83.25% {
        -webkit-transform: translateY(1px);
        -ms-transform: translateY(1px);
        transform: translateY(1px);
    }

    100% {
        -webkit-transform: translateY(0);
        -ms-transform: translateY(0);
        transform: translateY(0);
    }
}

.ask-cookies {
    width: 500px;
    max-width: 97.5%;
    /* height: 200px; */
    position: absolute;
    bottom: 50px;
    left: 50%;
    transform: translateX(-50%);
    color: black;
    font-size: 12px;
}

.notification-bottom-border {
    border-bottom: 1px solid #e6e6e6;
}

.notification-container {
    background-color: #ffffff;
    padding: 12px 20px;
    width: calc(100% - 40px);
}

.notification-footer {}

.notification-container a {
    color: #ffffff;
    text-decoration: none;
}

.notification-container a:hover {
    color: #888888;
}

.button {
    background: transparent;
    border: none;
    color: black;
    padding: 3px 9px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 12px;
    -webkit-transition-duration: 0.4s;
    /* Safari */
    transition-duration: 0.4s;
    cursor: pointer;
}

.btn {
    background-color: transparent;
    border: 1px solid #a0a0a0;
}

.btn-agree:hover {
    background-color: #4CAF50;
    color: white;
}

svg .home-marker {
    height: 69px;
    width: 69px;
    cursor: pointer;
    -webkit-transition: opacity .08s ease-in-out;
    -moz-transition: opacity .08s ease-in-out;
    -ms-transition: opacity .08s ease-in-out;
    -o-transition: opacity .08s ease-in-out;
    transition: opacity .08s ease-in-out;
    filter: alpha(opacity=30);
    opacity: 0.3;

}

.home-marker:hover {
    width: 70px;
    zoom: 2;
    filter: alpha(opacity=100);
    opacity: 1;

}

.logo {
    position: fixed;
    bottom: 102px;
    left: 207px;
    width: 600px;
}

.home {
    width: 28px;
    height: 24px;
    background-size: cover;
    background-color: transparent;
    cursor: pointer;
    z-index: 2;
    display: block;
}

.box-logo {
    position: relative;
}

.play-vdeo {
    position: fixed;
    bottom: 105px;
    left: 281px;
    width: 60px;
}

.box-video {
    width: 50%;
    max-width: 90%;
    min-width: 260px;
    position: absolute;
    left: 50%;
    top: 25%;
    transform: translateX(-50%);
    padding: 10px;
    background-color: #ffffff;
    display: none;
    z-index: 10;
}

.box-video iframe {
    width: 100%;
    height: 56%;
}

.close-box {
    position: absolute;
    width: 50px;
    height: auto;
    top: -24px;
    left: -20px;
    cursor: pointer;
}

.close-box img {
    width: 100%;
}

.close-box:hover {
    opacity: 0.9;
}

#overlay {
    position: fixed;
    /* Sit on top of the page content */
    display: none;
    /* Hidden by default */
    width: 100%;
    /* Full width (cover the whole page) */
    height: 100%;
    /* Full height (cover the whole page) */
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.5);
    /* Black background with opacity */
    z-index: 9;
    /* Specify a stack order in case you're using a different order for other elements */
}

#Layer_overview polygon {
    stroke: #f9760b;
}

image#img-map {
    width: 103% !important;
    height: 100%;

}

.mobile-logo {
    position: fixed;
    top: 0;
    width: 100%;
    display: none;
}

.mobile-logo img,
.mobilr-video img {
    width: 100%;
}

.mobilr-video {
    width: 50px;
    height: auto;
    position: fixed;
    bottom: 5px;
    left: 5px;
    z-index: 8;
    display: none;
    background: #d8dbde;

}

#menu-icon {
    display: hidden;
    margin: 6px;
    width: 40px;
    height: 40px;
    background: url(/assets/projects/bjorvika-v2/image/menu-icon.png) center;

}
.gyroscope{
    display: none;
}
/*==========  Mobile First Method  ==========*/
/* Custom, iPhone Retina */
@media only screen and (min-width : 320px) {}

/* Extra Small Devices, Phones */
@media only screen and (min-width : 480px) {}

/* Small Devices, Tablets */
@media only screen and (min-width : 768px) {}

/* Medium Devices, Desktops */
@media only screen and (min-width : 992px) {}

/* Large Devices, Wide Screens */
@media only screen and (min-width : 1200px) {}

/*==========  Non-Mobile First Method  ==========*/

/* Large Devices, Wide Screens */
@media only screen and (max-width : 1200px) {

    .overview svg {
        height: 100%;

    }
}

/* Medium Devices, Desktops */
@media only screen and (max-width : 992px) {}

/* Small Devices, Tablets */
@media only screen and (max-width : 768px) {
    svg image.home-marker {
        height: 60px;
        width: 60px;
        cursor: pointer;
    }

    .box-video {
        width: 80%;
        top: 10%;
        padding: 3px;
    }

    .box-video iframe {
        width: 100%;
        height: 78%;
    }
    .m-full img,
    .m-full-close img,
    .gyroscope img {
        width: 100%;
    }
    .m-menu{
        display: block;
    }
    .room-overlay{
        font-size: 2rem;
    }
    .gyroscope{
        position: absolute;
        bottom: 0;
        width: 32px;
        height: 38px;
        z-index: 12;
        left: 10px;
        display: none;
    }
}

/* Extra Small Devices, Phones */
@media only screen and (max-width : 480px) {
    .box-video {
        width: auto;
        top: 10%;
        padding: 3px;
        height: 38%;
    }

    .box-video iframe {
        width: 100%;
        height: 72%;
    }

    #menu-bar ul.menu {}

    #menu-icon {
        display: inline-block;
    }

    ul.menu-mobile {
        list-style-type: none;
        position: absolute;
        bottom: 49px;
        width: 100%;
        background: rgba(128, 128, 128, 0.8509803921568627);
        -webkit-transition: height 0.2s;
        transition: height 0.2s;
        display: none;
        margin: 0;
        padding: 0 1rem;
    }

    ul.menu-mobile.opent {
        display: block;
    }

    ul.menu-mobile li {
        float: unset;
        clear: both;
        width: 100%;
        border-bottom: 1px solid #949494;
        padding: 15px 0;
    }

    a {
        color: #FFFFFF;
        text-decoration: none;
    }

    ul.dropdown li a {
        color: #ffffff;
        text-align: left;
        padding: 12px 3.8vw;
        text-decoration: none;
        color: #FFFFFF;
    }
}

/* Custom, iPhone Retina */
@media only screen and (max-width : 320px) {}
